dlassq.f(3)

NAME
dlassq.f -

SYNOPSIS

  Functions/Subroutines
subroutine DLASSQ (N, X, INCX, SCALE, SUMSQ)
DLASSQ

Function/Subroutine Documentation

  subroutine DLASSQ (INTEGERN, DOUBLE PRECISION, dimension( * )X, INTEGERINCX, DOUBLE PRECISIONSCALE, DOUBLE PRECISIONSUMSQ)

DLASSQ

Purpose:

     DLASSQ  returns the values  scl  and  smsq  such that
        ( scl**2 )*smsq = x( 1 )**2 +...+ x( n )**2 + ( scale**2 )*sumsq,
     where  x( i ) = X( 1 + ( i - 1 )*INCX ). The value of  sumsq  is
     assumed to be non-negative and  scl  returns the value
        scl = max( scale, abs( x( i ) ) ).
     scale and sumsq must be supplied in SCALE and SUMSQ and
     scl and smsq are overwritten on SCALE and SUMSQ respectively.
     The routine makes only one pass through the vector x.

Parameters:
    N

              N is INTEGER
              The number of elements to be used from the vector X.

    X

              X is DOUBLE PRECISION array, dimension (N)
              The vector for which a scaled sum of squares is computed.
                 x( i )  = X( 1 + ( i - 1 )*INCX ), 1 <= i <= n.

    INCX

              INCX is INTEGER
              The increment between successive values of the vector X.
              INCX > 0.

    SCALE

              SCALE is DOUBLE PRECISION
              On entry, the value  scale  in the equation above.
              On exit, SCALE is overwritten with  scl , the scaling factor
              for the sum of squares.

    SUMSQ

              SUMSQ is DOUBLE PRECISION
              On entry, the value  sumsq  in the equation above.
              On exit, SUMSQ is overwritten with  smsq , the basic sum of
              squares from which  scl  has been factored out.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 104 of file dlassq.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.